# $Revision: 1.20 $, $Date: 2010/10/22 12:20:59 $
%define		module			pygtksourceview
%define		pygtk_req		2:2.14.0
#
Summary:	GtkSourceView2 bindings for Python
Summary(pl.UTF-8):	Wiązania Pythona do biblioteki GtkSourceView2
Name:		python-gtksourceview2
Version:	2.10.1
Release:	4
License:	LGPL
Group:		Libraries/Python
Source0:	http://ftp.gnome.org/pub/GNOME/sources/pygtksourceview/2.10/%{module}-%{version}.tar.bz2
# Source0-md5:	2654354d61422fb79d8375fc3a3b5393
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake >= 1:1.7
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gtk-doc >= 1.4
BuildRequires:	gtksourceview2-devel >= 2.10.0
BuildRequires:	libtool
BuildRequires:	libxslt-progs
BuildRequires:	pkgconfig
BuildRequires:	python-devel >= 1:2.3.2
# for style.css
BuildRequires:	python-pygobject-apidocs >= 2.16.0
BuildRequires:	python-pygobject-devel >= 2.16.0
BuildRequires:	python-pygtk-devel >= %{pygtk_req}
BuildRequires:	rpm-pythonprov
BuildRequires:	sed >= 4.0
Requires:	python-pygobject >= 2.16.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define pydefsdir %(pkg-config --variable=defsdir pygtk-2.0)

%description
GtkSourceView2 bindings for Python.

%description -l pl.UTF-8
Wiązania Pythona do biblioteki GtkSourceView2.

%package devel
Summary:	GtkSourceView2 bindings for Python - development files
Summary(pl.UTF-8):	Pliki programistyczne wiązań Pythona do biblioteki GtkSourceView2
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}
Requires:	gtksourceview2-devel >= 2.10.0
Requires:	python-pygtk-devel >= %{pygtk_req}

%description devel
GtkSourceView2 bindings for Python - development files.

%description devel -l pl.UTF-8
Pliki programistyczne wiązań Pythona do biblioteki GtkSourceView2.

%package apidocs
Summary:	pygtksourceview2 API documentation
Summary(pl.UTF-8):	Dokumentacja API pygtksourceview2
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
pygtksourceview2 API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API pygtksourceview2.

%prep
%setup -q -n %{module}-%{version}

%build
sed -i 's/codegen\.py/codegen.pyc/' configure.ac
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	HTMLdir=%{_gtkdocdir}/pygtksourceview2

rm -f $RPM_BUILD_ROOT%{py_sitedir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{py_sitedir}/gtksourceview2.so

%files devel
%defattr(644,root,root,755)
%{pydefsdir}/gtksourceview2.defs
%{_pkgconfigdir}/pygtksourceview-2.0.pc

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/pygtksourceview2

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-gtksourceview2.spec,v $
Revision 1.20  2010/10/22 12:20:59  arekm
- release 4

Revision 1.19  2010/07/09 11:21:57  arekm
- release 3

Revision 1.18  2010/07/08 08:13:56  arekm
- release 2

Revision 1.17  2010/05/12 20:02:21  sparky
- BR: docbook-dtd412-xml

Revision 1.16  2010/04/21 14:50:13  megabajt
- updated to 2.10.1

Revision 1.15  2010/03/28 15:32:53  megabajt
- updated to 2.10.0; merged from DEVEL

Revision 1.9.2.4  2010/03/15 18:42:13  megabajt
- updated to 2.9.2

Revision 1.9.2.3  2009/11/26 10:17:30  patrys
- 2.9.1

Revision 1.14  2009/11/26 10:11:13  patrys
- 2.8.0

Revision 1.13  2009/03/22 14:28:50  megabajt
- updated to 2.6.0

Revision 1.12  2008/11/09 22:18:20  sls
- ver. 2.4.0

Revision 1.11  2008/11/04 20:32:27  sls
- BR: gtk-doc, rpm-pythonprov

Revision 1.9.2.2  2008/10/11 11:50:49  patrys
- 2.4.0
- don't merge until we get a stable release of pygobject

Revision 1.10  2008/10/03 17:50:50  arekm
- release 2

Revision 1.9.2.1  2008/08/17 23:47:40  patrys
- 2.3.0

Revision 1.9  2008-03-11 21:39:11  patrys
- 2.2.0

Revision 1.8  2008-02-06 15:17:32  megabajt
- updated to 2.1.1

Revision 1.7  2008-01-25 17:19:10  patrys
- 2.1.0

Revision 1.6  2007-09-17 10:31:28  patrys
- 2.0.0

Revision 1.5  2007/08/30 19:36:49  megabajt
- updated to 1.90.4

Revision 1.4  2007/08/04 19:43:37  patrys
- 1.90.3

Revision 1.3  2007/07/08 18:07:58  qboosh
- more BRs, docs, cleanup

Revision 1.2  2007/07/08 17:31:49  qboosh
- pl
- added -devel and -apidocs

Revision 1.1  2007/06/25 15:07:02  patrys
- initial PLD release
